org.apache.hc.core5.http.impl.nio

## Enum ExpandableBuffer.Mode

- java.lang.Object
- - java.lang.Enum<ExpandableBuffer.Mode>
  - - org.apache.hc.core5.http.impl.nio.ExpandableBuffer.Mode

- All Implemented Interfaces:
    Serializable, Comparable<ExpandableBuffer.Mode>
  Enclosing class:
    ExpandableBuffer

      public static enum ExpandableBuffer.Mode
      extends Enum<ExpandableBuffer.Mode>

  A buffer's mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT` A buffer is in the input mode.
    `OUTPUT` A buffer is in the output mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExpandableBuffer.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExpandableBuffer.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT

          public static final ExpandableBuffer.Mode INPUT

      A buffer is in the input mode.

    - #### OUTPUT

          public static final ExpandableBuffer.Mode OUTPUT

      A buffer is in the output mode.

  - ### Method Detail

    - #### values

          public static ExpandableBuffer.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExpandableBuffer.Mode c : ExpandableBuffer.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExpandableBuffer.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.